| Kea 3.0.2-git

log_dbglevels.cc File Reference
`#include <config.h>`
Include dependency graph for log_dbglevels.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::log

## Variables
const int | isc::log::DBGLVL_COMMAND = 10
| This debug level is reserved for logging the exchange of messages/commands between processes, including configuration messages.
const int | isc::log::DBGLVL_COMMAND_DATA = 20
| If the commands have associated data, this level is when they are printed.
const int | isc::log::DBGLVL_PKT_HANDLING = 15
| This debug level is reserved for logging the details of packet handling, such as dropping the packet for various reasons.
const int | isc::log::DBGLVL_START_SHUT = 0
| This is given a value of 0 as that is the level selected if debugging is enabled without giving a level.
const int | isc::log::DBGLVL_TRACE_BASIC = 40
| Trace basic operations.
const int | isc::log::DBGLVL_TRACE_BASIC_DATA = 45
| Trace data associated with the basic operations.
const int | isc::log::DBGLVL_TRACE_DETAIL = 50
| Trace detailed operations.
const int | isc::log::DBGLVL_TRACE_DETAIL_DATA = 55
| Trace data associated with detailed operations.
const int | isc::log::DBGLVL_TRACE_MAX = 99
| The highest level of debug logging.
const int | isc::log::DBGLVL_TRACE_TECHNICAL = 70
| Trace technical operations.
const int | isc::log::DBGLVL_TRACE_TECHNICAL_DATA = 90
| Trace data associated with technical operations.